
#ifndef _statemachine_h
#define _statemachine_h

#include <stdint.h>
#include <stdio.h>

//#include <string.h>

class Statemachine
{

	public:
	
		Statemachine();	// Constructor

		void setState(uint8_t newState);
		uint8_t getState();
		bool changed();

	private:
		// internal variables
		uint8_t stateCurrent;		// Current State
		uint8_t stateOld;				// Previous State
		uint8_t stateFlags;			// Flags
		//uint8_t stateDummy;

		// Definitions stateFlags
			#define FLAG_CHANGED 0		// Flag State Changed

};


#endif // _statemachine_h

